Bug 1262919 - exceptions from connection.RestlibException during autosubscribe should be printed to system error
exceptions from connection.RestlibException during autosubscribe should be pr...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Chris Rog
John Sefler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 11:43 EDT by John Sefler
Modified: 2016-11-03 16:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 16:27:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2015-09-14 11:43:39 EDT
Description of problem:
A follow up to a subscription-manager commit to solve bug 1221273 should print to system error...


-------------------- src/subscription_manager/managercli.py --------------------
index 706a353..ba1c4d9 100644
@@ -1118,8 +1118,11 @@ class RegisterCommand(UserPassCommand):
             if 'serviceLevel' not in consumer and self.options.service_level:
                 system_exit(os.EX_UNAVAILABLE, _("Error: The --servicelevel option is not supported "
                                  "by the server. Did not complete your request."))
-            autosubscribe(self.cp, consumer['uuid'],
-                    service_level=self.options.service_level)
+            try:
+                autosubscribe(self.cp, consumer['uuid'],
+                        service_level=self.options.service_level)
+            except connection.RestlibException, re:
+                print(re.msg)   <===================== FIX NEEDED HERE
 
         if (self.options.consumerid or self.options.activation_keys or self.autoattach):
             log.info("System registered, updating entitlements if needed")




See https://bugzilla.redhat.com/show_bug.cgi?id=1221273#c4


Version-Release number of selected component (if applicable):
subscription-manager-1.15.9-5
Comment 2 Chris Rog 2015-09-22 11:58:56 EDT
commit 7795df84edcb4f4fef08085548f6c2a23f86ceb4
Author: Chris Rog <crog@redhat.com>
Date:   Mon Sep 14 16:21:38 2015 -0400

    1262919: Added convenience function for printing to stderr
    
    - Added a print_error function to print a message to stderr
    - Updated the error printing in autoattach during register to
      use the print_error function
Comment 3 John Sefler 2015-09-24 15:13:21 EDT
Deferring to rhel-7.3.0 for a fix.
Comment 5 Shwetha Kallesh 2016-04-26 08:56:21 EDT
Marking verified!!

[root@dhcp35-31 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.15-1
subscription management rules: 5.15.1
subscription-manager: 1.17.5-1.el7
python-rhsm: 1.17.2-1.el7


[root@dhcp35-31 ~]# subscription-manager register --serverurl=subscription.rhn.stage.redhat.com:443/subscription --user qa@redhat.com --password ****** --force --servicelevel foo --auto-attach 1>/tmp/stdout 2>/tmp/stderr


[root@dhcp35-31 ~]# cat /tmp/stdout
Registering to: subscription.rhn.stage.redhat.com:443/subscription
The system has been registered with ID: d56355f9-a722-42ae-8eae-2eb679878898 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Not Subscribed

Unable to find available subscriptions for all your installed products.

[root@dhcp35-31 ~]# cat /tmp/stderr 
Service level 'foo' is not available to units of organization 711497.
[root@dhcp35-31 ~]#
Comment 7 errata-xmlrpc 2016-11-03 16:27:07 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html

Note You need to log in before you can comment on or make changes to this bug.